from flask import request
import requests
import json

food_banks = {
    "Akron-Canton Regional Foodbank",
    "Alameda County Community Food Bank",
    "All Faiths Food Bank",
    "America's Second Harvest of Coastal Georgia, Inc.",
    "Arkansas Food bank",
    "Arkansas Foodbank",
    "Atlanta Community Food Bank",
    "Banco de Alimentos de Puerto Rico",
    "Blue Ridge Area Food Bank, Inc.",
    "Capital Area Food Bank",
    "Care and Share Food Bank",
    "Central California Food Bank",
    "Central Illinois Foodbank",
    "Central Pennsylvania Food Bank",
    "Central Texas Food Bank",
    "Channel One Food Bank",
    "Chattanooga Area Food Bank",
    "City Harvest",
    "Coastal Bend Food Bank",
    "Community Food Bank of Central Alabama",
    "Community Food Bank of Eastern Oklahoma",
    "Community Food Bank of New Jersey",
    "Community Food Bank of Southern Arizona",
    "Community Food Share",
    "Community Food Warehouse of Mercer County",
    "Community Harvest Food Bank of Northeast Indiana, Inc.",
    "Connecticut Foodshare",
    "Dare to Care Food Bank",
    "East Texas Food Bank",
    "Eastern Illinois Foodbank",
    "El Pasoans Fighting Hunger",
    "Facing Hunger Foodbank",
    "Feeding America Eastern Wisconsin",
    "Feeding America Riverside San Bernardino Counties",
    "Feeding America West Michigan",
    "Feeding America, Kentucky's Heartland",
    "Feeding Northeast Florida",
    "Feeding San Diego",
    "Feeding South Dakota",
    "Feeding South Florida",
    "Feeding Southwest Virginia",
    "Feeding Tampa Bay",
    "Feeding the Gulf Coast",
    "Feeding the Valley Food Bank",
    "Feeding Westchester",
    "FeedMore",
    "FeedMore Western New York",
    "FIND Food Bank",
    "Food Bank for Larimer County",
    "Food Bank for Monterey County",
    "Food Bank For New York City",
    "Food Bank for the Heartland",
    "Food Bank of Alaska, Inc.",
    "Food Bank of Central &amp; Eastern North Carolina",
    "Food Bank of Central Louisiana",
    "Food Bank of Central New York",
    "Food Bank of Contra Costa and Solano",
    "Food Bank of Delaware",
    "Food Bank of Eastern Michigan",
    "Food Bank of Iowa",
    "Food Bank of Lincoln, Inc.",
    "Food Bank of North Alabama",
    "Food Bank of Northeast Arkansas",
    "Food Bank of Northeast Georgia",
    "Food Bank of Northeast Louisiana",
    "Food Bank of Northern Indiana",
    "Food Bank of Northern Nevada",
    "Food Bank of Northwest Indiana, Inc.",
    "Food Bank of Northwest Louisiana",
    "Food Bank of South Jersey",
    "Food Bank of the Albemarle",
    "Food Bank of the Golden Crescent",
    "Food Bank of the Rio Grande Valley, Inc.",
    "Food Bank of the Rockies",
    "Food Bank of the Southern Tier",
    "Food Bank of West Central Texas",
    "Food Finders Food Bank Inc.",
    "Food Gatherers",
    "Food Lifeline",
    "Food Share, Inc.",
    "Foodbank of Santa Barbara County",
    "Foodbank of Southeastern Virginia",
    "Foodlink, Inc.",
    "Foodshare",
    "Forgotten Harvest",
    "Fredericksburg Area Food Bank",
    "Freestore Foodbank",
    "Fulfill The FoodBank of Monmouth and Ocean Counties, Inc.",
    "Gleaners Community Food Bank of Southeastern Michigan",
    "Gleaners Food Bank of Indiana, Inc.",
    "God's Pantry Food Bank, Inc.",
    "Golden Harvest Food Bank",
    "Good Shepherd Food Bank",
    "Great Plains Food Bank",
    "Greater Baton Rouge Food Bank",
    "Greater Chicago Food Depository",
    "Greater Cleveland Food Bank, Inc.",
    "Greater Lansing Food Bank",
    "Greater Pittsburgh Community Food Bank",
    "H &amp; J Weinberg NE PA Regional Food Bank",
    "HACAP Food Reservoir",
    "Harry Chapin Food Bank of Southwest Florida",
    "Harvest Hope Food Bank",
    "Harvest Regional Food Bank, Inc.",
    "Harvesters - The Community Food Network",
    "Hawaii Foodbank, Inc.",
    "Helping Harvest",
    "High Plains Food Bank",
    "Hoosier Hills Food Bank",
    "Houston Food Bank",
    "Inter-Faith Food Shuttle",
    "Island Harvest",
    "Kansas Food Bank",
    "Long Island Cares, Inc.",
    "Los Angeles Regional Food Bank",
    "Lowcountry Food Bank",
    "MANNA FoodBank",
    "Maryland Food Bank",
    "Mid-Ohio FoodBank",
    "Mid-South Food Bank",
    "Middle Georgia Community Food Bank",
    "Mississippi Food Network",
    "Montana Food Bank Network",
    "Montgomery Area Food Bank, Inc.",
    "Mountaineer Food Bank",
    "New Hampshire Food Bank",
    "North Country Food Bank, Inc.",
    "North Texas Food Bank",
    "Northeast Iowa Food Bank",
    "Northern Illinois Food Bank",
    "Northwest Arkansas Food Bank",
    "Oregon Food Bank",
    "Ozarks Food Harvest",
    "Peoria Area Food Bank",
    "Philabundance",
    "Placer Food Bank",
    "Redwood Empire Food Bank",
    "Regional Food Bank of Northeastern New York",
    "Regional Food Bank of Oklahoma",
    "Rhode Island Community Food Bank",
    "River Bend Food Bank",
    "River Valley Regional Food Bank",
    "Roadrunner Food Bank",
    "San Antonio Food Bank",
    "SE Ohio Foodbank",
    "Second Harvest Community Food Bank",
    "Second Harvest Food Bank of Central Florida",
    "Second Harvest Food Bank of East Central Indiana, Inc.",
    "Second Harvest Food Bank of East Tennessee",
    "Second Harvest Food Bank of Greater New Orleans and Acadiana",
    "Second Harvest Food Bank of Lehigh Valley and NE Pennsylvania",
    "Second Harvest Food Bank of Metrolina",
    "Second Harvest Food Bank of Middle Tennessee",
    "Second Harvest Food Bank of North Central Ohio",
    "Second Harvest Food Bank of Northeast Tennessee",
    "Second Harvest Food Bank of Northwest North Carolina",
    "Second Harvest Food Bank of Northwest Pennsylvania",
    "Second Harvest Food Bank of Orange County",
    "Second Harvest Food Bank of Southeast North Carolina",
    "Second Harvest Food Bank of the Mahoning Valley",
    "Second Harvest Food Bank Santa Cruz County",
    "Second Harvest Foodbank of Clark, Champaign, &amp; Logan Counties",
    "Second Harvest Foodbank of Southern Wisconsin",
    "Second Harvest Heartland",
    "Second Harvest Inland Northwest",
    "Second Harvest North Central Food Bank",
    "Second Harvest Northern Lakes Food Bank",
    "Second Harvest of Silicon Valley",
    "Second Harvest of South Georgia, Inc",
    "Second Harvest of the Big Bend, Inc.",
    "Second Harvest of the Greater Valley",
    "SF-Marin Food Banks",
    "Shared Harvest Foodbank",
    "South Michigan Food Bank",
    "South Plains Food Bank",
    "South Texas Food Bank",
    "Southeast Missouri Food Bank",
    "Southeast Texas Food Bank",
    "St. Louis Area Foodbank",
    "St. Mary's Food Bank",
    "Tarrant Area Food Bank",
    "Terre Haute Catholic Charities Foodbank",
    "The Food Bank for Central &amp; Northeast Missouri",
    "The Food Bank of Western Massachusetts",
    "The Foodbank, Inc.",
    "The Greater Boston Food Bank",
    "The Idaho Foodbank",
    "Three Square Food Bank",
    "Toledo Northwestern Ohio Food Bank",
    "Treasure Coast Food Bank",
    "Tri-State Food Bank",
    "United Food Bank",
    "Utah Food Bank",
    "Vermont Foodbank",
    "Vermont Foodbank - Cloned",
    "Virginia Peninsula Foodbank",
    "Weld Food Bank",
    "West Ohio Food Bank",
    "West Texas Food Bank",
    "Westmoreland Food Bank",
    "Wichita Falls Area Food Bank",
    "Worcester County Food Bank, Inc.",
    "Yuma Community Food Bank",
}

states = {
    "AL",
    "AK",
    "AZ",
    "AR",
    "CA",
    "CO",
    "CT",
    "DE",
    "DC",
    "FL",
    "GA",
    "HI",
    "ID",
    "IL",
    "IN",
    "IA",
    "KS",
    "KY",
    "LA",
    "ME",
    "MD",
    "MA",
    "MI",
    "MN",
    "MS",
    "MO",
    "MT",
    "NE",
    "NV",
    "NH",
    "NJ",
    "NM",
    "NY",
    "NC",
    "ND",
    "OH",
    "OK",
    "OR",
    "PA",
    "PR",
    "RI",
    "SC",
    "SD",
    "TN",
    "TX",
    "UT",
    "VT",
    "VA",
    "WA",
    "WV",
    "WI",
    "WY",
}

api_url = "https://api.data.charitynavigator.org/v2/Organizations?app_id=a06e8932&app_key=b003924d0e7661cb18508a6079e024cb&search=food%20bank&state="

valid_food_banks = []
for state in states:
    curr_url = api_url + state
    response = requests.get(url=curr_url)

    for bank in response.json():
        if bank["charityName"] in food_banks:
            valid_food_banks.append(bank)

jsonified = json.dumps(valid_food_banks)
with open("nationalfoodbanksdata.json", "w") as outfile:
    outfile.write(jsonified)
